Name:		libzzub
Version:	0.2.3
Release:	8%{?dist}
Summary:	Powerful music sequencing library

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://trac.zeitherrschaft.org/zzub/
Source0:	%{name}-%{version}-fe.tar.bz2
# The original source code is from:
# http://downloads.sourceforge.net/aldrin/%{name}-%{version}.tar.bz2
#
# To comply with Fedora's Free Software Principles, MP3 support parts had to be
# removed:
# - src/libmad: completely removed
# - src/libzzub/libzzub.cpp: removed MP3 support part

Patch0:		libzzub-buildfix.patch
Patch1:		libzzub-sonamefix.patch
Patch2:		libzzub-internalflacfix.patch
Patch3:		libzzub-doclocationfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:	ppc64
BuildRequires:	scons >= 0.96.94
BuildRequires:	zlib-devel
BuildRequires:	libsndfile-devel >= 1.0.17
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	dos2unix
BuildRequires:	flac-devel >= 1.1.4
Requires:	libsndfile >= 1.0.17

%description
If you are searching for a foundation for your next Soundtracker, libzzub is
what you want. libzzub provides an extensible DSP plugin system, a
wavetable, instruments, a multitrack sequencer and support for major soundcard
APIs.


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%package -n	pyzzub
Summary:	Python Bindings For libzzub
Group:		Development/Libraries

BuildRequires:	python-devel
Requires:	%{name} = %{version}-%{release}

%description -n	pyzzub
These are the Python bindings For libzzub, allowing you to use it from within
Python scripts.


%prep
%setup -q
mac2unix SConstruct
%patch0 -p1 -b .buildfix
%patch1 -p1 -b .sonamefix
mac2unix src/libzzub/ccm.cpp src/libzzub/driver.cpp
%patch2 -p1 -b .internalflacfix
%patch3 -p1 -b .doclocationfix


%build
find \
	-regextype posix-egrep \
	-regex '.*\.(h|html|c|cpp)' \
	-exec mac2unix '{}' \; \
	-exec chmod 644 '{}' \;

iconv --from-code=ISO-8859-1 --to-code=UTF-8 CREDITS.txt > CREDITS
%{__rm} CREDITS.txt

scons configure \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LIBDIR=/%{_lib} \
	DEBUG=false \
	JOBS=%{?_smp_mflags} \
	MP3=false

scons CCFLAGS="%{optflags}"

cd src/pyzzub
%{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
scons install CCFLAGS="%{optflags}"

cd src/pyzzub
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/ccmplayer
%{_libdir}/liblunarstd.so
%{_libdir}/*.so.*
%{_libdir}/zzub
%{_libdir}/lunar
%{_defaultdocdir}/%{name}-%{version}

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libzzub.so

%files -n pyzzub
%defattr(-,root,root,-)
%{python_sitelib}/zzub

%changelog
* Thu Sep 20 2007 Alexander Kahl <akahl@iconmobile.com> - 0.2.3-8
- included patch to install missing documentation to the right place
- removed move macro instead
- moved all plugin files *.{cpp,h,xml} back to get the lunar plugin loading right

* Mon Sep 17 2007 Alexander Kahl <akahl@iconmobile.com> - 0.2.3-7
- re-added pyzzub python-devel build requirement
- explicitly nailed the name of pyzzub

* Mon Sep 17 2007 Alexander Kahl <akahl@iconmobile.com> - 0.2.3-6
- added pyzzub as an internal extra package

* Thu Sep 13 2007 Alexander Kahl <akahl@iconmobile.com> - 0.2.3-5
- removed redundant explicit flac requirement

* Mon Sep 10 2007 Alexander Kahl <akahl@iconmobile.com> - 0.2.3-4
- fixed double source definition
- adapted modified source tarball w/ mp3 support removed
- added patch to use internal flac support
- removed INSTALL from %doc
- removed explicit python requirement
- replaced static rm commands with macros

* Mon Sep 10 2007 Alexander Kahl <akahl@iconmobile.com> - 0.2.3-3
- fixed redundant dependencies
- replaced occurence of /usr with prefix macro
- removed manual stripping of binaries
- fixed directory ownership issue
- fixed encoding of CREDITS file
- excluded arch ppc64 due to build failure
- replaced all space occurences with tabs

* Mon Sep  3 2007 Alexander Kahl <akahl@iconmobile.com> - 0.2.3-2
- added flag to remove mp3 support

* Sun Sep  2 2007 Alexander Kahl <akahl@iconmobile.com> - 0.2.3-1
- initial release

